#ifndef __BOILERPLATE_PLUGINS_ACTIVATABLE_H__
#define __BOILERPLATE_PLUGINS_ACTIVATABLE_H__

#include <glib-object.h>

G_BEGIN_DECLS

#define BOILERPLATE_TYPE_PLUGINS_ACTIVATABLE (boilerplate_plugins_activatable_get_type ())

G_DECLARE_INTERFACE (BoilerplatePluginsActivatable, boilerplate_plugins_activatable, BOILERPLATE, PLUGINS_ACTIVATABLE, GObject)

struct _BoilerplatePluginsActivatableInterface
{
	GTypeInterface parent_iface;

	/* Virtual public methods */
	void (*activate) (BoilerplatePluginsActivatable *);
	void (*deactivate) (BoilerplatePluginsActivatable *);
};

void
boilerplate_plugins_activatable_activate (BoilerplatePluginsActivatable *);

void
boilerplate_plugins_activatable_deactivate (BoilerplatePluginsActivatable *);

G_END_DECLS

#endif /* __BOILERPLATE_PLUGINS_ACTIVATABLE_H__ */
